### Function

# Aravis open_device

since: 0.8.0

#### Declaration [src]

    ArvDevice*
    arv_open_device (
      const char* device_id,
      GError** error
    )

#### Description [src]

Open a device corresponding to the given identifier. A `NULL` string makes this function return the first available device.

Available since: 0.8.0

#### Parameters

`device_id`

  Type: `const char*`

  A device identifier string.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ArvDevice`

A new `ArvDevice` instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.